import { jsx } from "react/jsx-runtime";
import { TokenYAK as TokenYAK$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenYAK = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "YAK", "data-name": "TokenYAK", ...props, children: /* @__PURE__ */ jsx(TokenYAK$1, { variant }) });
  }
);
TokenYAK.displayName = "TokenYAK";
Object.assign(TokenYAK, { isGdsIcon: true });
export {
  TokenYAK
};
